$(function () {
	indexAllArticleTableONLINETeam();
	
})
var oTable;
var page_start=0;
function indexAllArticleTableONLINETeam()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {
		        "aoColumnDefs": [
		            { "bSortable": false, "aTargets": [ 9 ] }
		        ],
		        "oLanguage": {
					           "sEmptyTable": "无目录数据！",
					           "sInfoFiltered":"(全部有 _MAX_ 条数据)"
					         },
		        "aaSorting": [[0, 'asc']],
		        "bDestroy": true,
		        "aoColumns": [
		           { "sTitle": "空间编号",   "mData": "spaceShowID" },
		           { "sTitle": "空间名称",   "mData": "spaceName" },
		           { "sTitle": "所属高校",  "mData": "spaceSchool" },
		           { "sTitle": "空间类型",  "mData": "spaceType" },
		           { "sTitle": "认证时间",  "mData": "spaceRegisterTime" },
		           { "sTitle": "认定面积(平方米)",  "mData": "spaceRegisterArea" },
		           { "sTitle": "种子基金使用总数(万)",  "mData": "spaceFundMoneyNum" },
		           /*{ "sTitle": "信息更新时间",  "mData": "updateTime" },*/
		           { "sTitle": "最后登录时间",  "mData": "loginTime" },
		           { "sTitle": "认证情况",  "mData": "certification" },
		           { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}
		        ],
				"sAjaxSource":webroot+"SpaceMessage/getSpaceAll1",
				"sAjaxDataProp": "list",
				"initComplete": function(settings, json) {
					oTable.fnPageChange(page_start);
				}
		    });
		    $('#hidden-table-info_filter input').on( 'keyup change', function () {  
		           // alert(this.value);
			    	$("#hidden-table-info tbody").removeHighlight();
			    	if(this.value!=""){
			    		$("#hidden-table-info tbody").highlight(this.value);
			    	}    
			    });
		} );
}

function getAllProject_show(spaceid){
	window.location.href=webroot+"goto/education/space_information_show?spaceid="+spaceid;
}
/**
 * 导出项目
 * @returns
 */
function project_DIV_Derive(){
	showLoading()
	var url = webroot+"SpaceMessage/deriveSpaceMessage";
	var xhr = new XMLHttpRequest();
	xhr.open('GET', url, true);    // 也可以使用POST方式，根据接口
	xhr.responseType = "blob";  // 返回类型blob
	// 定义请求完成的处理函数，请求前也可以增加加载框/禁用下载按钮逻辑
	xhr.onload = function () {
		// 请求完成
		if (this.status === 200) {
			// 返回200
			var blob = this.response;
			var reader = new FileReader();
			reader.readAsDataURL(blob);  // 转换为base64，可以直接放入a表情href
			reader.onload = function (e) {
				// 转换完成，创建一个a标签用于下载
				var a = document.createElement('a');
				a.download = '空间详细信息.xls';
				a.href = e.target.result;
				$("body").append(a);  // 修复firefox中无法触发click
				a.click();
				$(a).remove();
				hideLoading()
			}
		}else {
			hideLoading()
			swal("失败！", '网络错误，稍后再试', "error");
		}
	};
	// 发送ajax请求
	xhr.send()
	// downloadFile(webroot+"SpaceMessage/deriveSpaceMessage");
}


showLoading = function(){
	$('#loadingModal').modal({backdrop: 'static', keyboard: false});
}
hideLoading = function(){
	$('#loadingModal').modal('hide');
}





/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}
function getAllProject_Certification(spaceid){
	var data={};
	data['spaceid'] = spaceid;			//项目ID
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMessage/getCertificationState",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
				indexAllArticleTableONLINETeam();
				swal("成功！", result.msg, "success");
			}else{
				swal("失败！", result.msg, "error");
			}
		}
	});
}